AMO 3.4.1 Released

The addons.mozilla.org (AMO) site was updated to version 3.4.1 earlier this week. Some of the more notable updates/fixes in this AMO release include:

  • Added back the application compatibility ranges on the add-on details pages (example: Works with: Firefox 1.5 to 3.0 pre)
  • Due to popular demand, we’ve separated Themes from Appearance-related extensions and Dictionaries & Language Packs from “Language Support” extensions. So, there are a few more categories that appear on the left-hand side menu.
  • Increased the default add-on list size from 10 to 20


Adding back the application compatibility ranges is a much needed fixed. I had discussed the importance of having these details on the AMO 3.2.1 Coming Soon post:

…simply telling the user ‘This add-on is for an older version of Firefox’ doesn’t really help them. It really should say what older version of Firefox it is for. The logic behind this would be so the user could determine if the add-on simply hasn’t been bumped up to the newest version or (in the case for a much older version) the developer has abandoned the add-on.

You can check out the complete list of fixes for the AMO 3.4.1. release on Bugzilla. Look for another update on the AMO site in about two weeks.

News Source: Basil’s Bodacious Blog